## org.eclipse.jst.ws.jaxws.dom.runtime.api
Interface DomFactory

All Superinterfaces:
  org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface DomFactory

extends org.eclipse.emf.ecore.EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `DomPackage`

Field Summary
`static DomFactory` `eINSTANCE` The singleton instance of the factory.

Method Summary
`IDOM` `createIDOM()` Returns a new object of class 'IDOM'.
`IJavaWebServiceElement` `createIJavaWebServiceElement()` Returns a new object of class 'IJava Web Service Element'.
`IServiceEndpointInterface` `createIServiceEndpointInterface()` Returns a new object of class 'IService Endpoint Interface'.
`IWebMethod` `createIWebMethod()` Returns a new object of class 'IWeb Method'.
`IWebParam` `createIWebParam()` Returns a new object of class 'IWeb Param'.
`IWebService` `createIWebService()` Returns a new object of class 'IWeb Service'.
`IWebServiceProject` `createIWebServiceProject()` Returns a new object of class 'IWeb Service Project'.
`IWebType` `createIWebType()` Returns a new object of class 'IWeb Type'.
`DomPackage` `getDomPackage()` Returns the package supported by this factory.

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    static final DomFactory eINSTANCE

  The singleton instance of the factory.

Method Detail

### createIDOM

    IDOM createIDOM()

  Returns a new object of class 'IDOM'.

  Returns:
    a new object of class 'IDOM'.

### createIJavaWebServiceElement

    IJavaWebServiceElement createIJavaWebServiceElement()

  Returns a new object of class 'IJava Web Service Element'.

  Returns:
    a new object of class 'IJava Web Service Element'.

### createIServiceEndpointInterface

    IServiceEndpointInterface createIServiceEndpointInterface()

  Returns a new object of class 'IService Endpoint Interface'.

  Returns:
    a new object of class 'IService Endpoint Interface'.

### createIWebMethod

    IWebMethod createIWebMethod()

  Returns a new object of class 'IWeb Method'.

  Returns:
    a new object of class 'IWeb Method'.

### createIWebParam

    IWebParam createIWebParam()

  Returns a new object of class 'IWeb Param'.

  Returns:
    a new object of class 'IWeb Param'.

### createIWebService

    IWebService createIWebService()

  Returns a new object of class 'IWeb Service'.

  Returns:
    a new object of class 'IWeb Service'.

### createIWebServiceProject

    IWebServiceProject createIWebServiceProject()

  Returns a new object of class 'IWeb Service Project'.

  Returns:
    a new object of class 'IWeb Service Project'.

### createIWebType

    IWebType createIWebType()

  Returns a new object of class 'IWeb Type'.

  Returns:
    a new object of class 'IWeb Type'.

### getDomPackage

    DomPackage getDomPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.